clc
clear all
close all

n={}
n{1}=[11,13,16,18];
n{2}=[6,8,12,15];
n{3}=[5,2,7,19];
n{4}=[9,3,4,10];
n{5}=[1,14,17,20];

a=n{x},

load 'MATICE_SVM.mat';

matice=xxx;

load delka.mat;

pozice=zeros(1,20);
pozice(1)=delka(1);

for i=2:20
    pozice(i)=pozice(i-1)+delka(i);
end

s_test={};
s_tren={};

r=[[1,pozice(1:19)];pozice(1:20)]';

for j=1:20
   s_test{1,j}=matice(r(j,1):r(j,2),1:5);
   s_test{2,j}=matice(r(j,1):r(j,2),6);
   s_tren{1,j}=matice(r(j,1):r(j,2),1:6);
end


a=a*(-1);
a=sort(a);
a=a*(-1);

b=(1:20);

for i=1:length(a)
    d=a(i);
    b(d)=[];
end



trenovaci=[];
testovaci=[];
vzor=[];
pom1=[];
pom2=[];
pom3=[];

for k=1:length(a)
    p=a(k);
    pom1=s_test{1,p};
    pom2=s_test{2,p};
    testovaci=[testovaci;pom1];
    vzor=[vzor;pom2];
    
end

for l=1:length(b)
    p=b(k);
    pom3=s_tren{1,p};
    trenovaci=[trenovaci;pom3];
       
end
  
%%zmnozeni signalu, uprava vzorku

%%fyz
%[trenovaci]=SVM_uprava_fyz(delka,matice_SVM_BIN_FYZ,a);

%%psy
%[trenovaci]=SVM_uprava_psy(delka,matice_SVM_BIN_PSY,a);

%%kog
% [trenovaci]=SVM_uprava_kog(delka,matice_SVM_BIN_PSY_KON,a);

%%em
% [trenovaci]=SVM_uprava_em(delka,matice_SVM_BIN_PSY_EM,a);
